"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  EditorType: () => EditorType,
  getEditorUrls: () => getEditorUrls4
});
module.exports = __toCommonJS(index_exports);

// src/editorurls-v2-editor-urls-editor.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/editorurls-v2-editor-urls-editor.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixEditorurlsV2EditorUrlsApiUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editor-urls",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/editorurls/v2/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_editor";
function getEditorUrls(payload) {
  function __getEditorUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.editorurls.v2.editor_urls",
      method: "GET",
      methodFqn: "wix.editorurls.v2.EditorUrlsApi.GetEditorUrls",
      packageName: PACKAGE_NAME,
      url: resolveWixEditorurlsV2EditorUrlsApiUrl({
        protoPath: "/v2/editor-urls",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getEditorUrls;
}

// src/editorurls-v2-editor-urls-editor.universal.ts
var EditorType = /* @__PURE__ */ ((EditorType2) => {
  EditorType2["UNKNOWN"] = "UNKNOWN";
  EditorType2["WIX_EDITOR"] = "WIX_EDITOR";
  EditorType2["EDITOR_X"] = "EDITOR_X";
  EditorType2["WIX_STUDIO"] = "WIX_STUDIO";
  EditorType2["ODEDITOR"] = "ODEDITOR";
  EditorType2["PICASSO"] = "PICASSO";
  return EditorType2;
})(EditorType || {});
async function getEditorUrls2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    branchId: options?.branchId,
    editorType: options?.editorType
  });
  const reqOpts = getEditorUrls(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          branchId: "$[0].branchId",
          editorType: "$[0].editorType"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/editorurls-v2-editor-urls-editor.public.ts
function getEditorUrls3(httpClient) {
  return (options) => getEditorUrls2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/editorurls-v2-editor-urls-editor.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var getEditorUrls4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(getEditorUrls3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  EditorType,
  getEditorUrls
});
//# sourceMappingURL=index.js.map