// src/editorurls-v2-editor-urls-editor.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixEditorurlsV2EditorUrlsApiUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editor-urls",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/editorurls/v2/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_editor";
function getEditorUrls(payload) {
  function __getEditorUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.editorurls.v2.editor_urls",
      method: "GET",
      methodFqn: "wix.editorurls.v2.EditorUrlsApi.GetEditorUrls",
      packageName: PACKAGE_NAME,
      url: resolveWixEditorurlsV2EditorUrlsApiUrl({
        protoPath: "/v2/editor-urls",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __getEditorUrls;
}

// src/editorurls-v2-editor-urls-editor.meta.ts
function getEditorUrls2() {
  const payload = {};
  const getRequestOptions = getEditorUrls(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/editor-urls",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  getEditorUrls2 as getEditorUrls
};
//# sourceMappingURL=meta.mjs.map